
Extended Fields - Bug #2123

Issue with Redmine 2.1.2

16 Nov 2012 08:39 - Bruno Spyckerelle

Status: Closed Start date: 16 Nov 2012

Priority: Normal Due date: 24 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version:  External issue:  

Description

There’s a bug when trying to load the issues view :

Started GET "/issues" for 127.0.0.1 at 2012-11-16 09:26:20 +0100

Processing by IssuesController#index as HTML

  Current user: admin (id=1)

Completed 500 Internal Server Error in 140ms

ArgumentError (wrong number of arguments (2 for 1)):

  app/models/query.rb:911:in `block (2 levels) in add_associations_custom_fields_filters'

  app/models/query.rb:909:in `each'

  app/models/query.rb:909:in `block in add_associations_custom_fields_filters'

  app/models/query.rb:907:in `each'

  app/models/query.rb:907:in `add_associations_custom_fields_filters'

  app/models/query.rb:308:in `available_filters'

  app/helpers/queries_helper.rb:127:in `build_query_from_params'

  app/helpers/queries_helper.rb:95:in `retrieve_query'

  app/controllers/issues_controller.rb:56:in `index'

Environment:

  Redmine version                          2.1.2.stable

  Ruby version                             1.9.3 (i386-mingw32)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         SQLite

 

I also tested r74, but it didn’t change anything.

Thanks !

History

#1 - 16 Nov 2012 10:54 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.1

Thanks for reporting!

#2 - 16 Nov 2012 11:05 - Andriy Lesyuk

What query are you using? Does it use any extended custom fields?

#3 - 17 Nov 2012 11:53 - Bruno Spyckerelle

Every query involving a list of issues are broken.
http://projects.andriylesyuk.com/projects/extended-fields/repository/revisions/74


The plugin was just installed on a new installation for testing purpose and therefore no extended custom fields are used.

#4 - 21 Nov 2012 16:41 - Bruno Spyckerelle

I reproduced the bug on the following environment :

Environment:

  Redmine version                          2.1.2.stable.10770

  Ruby version                             1.8.7 (i486-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  extended_fields                          0.2.1

  redmine_ldap_sync                        1.2.0

  redmine_monitoring_controlling           0.1.1

  redmine_wiki_extensions                  0.6.0

#5 - 03 Dec 2012 17:22 - Bruno Spyckerelle

I tried on a fresh install of Redmine 2.1.4 : the bug is still there.

#6 - 03 Dec 2012 17:52 - Andriy Lesyuk

Is error the same?

#7 - 03 Dec 2012 18:30 - Bruno Spyckerelle

Yes, exactly the same.

Did you achieve to reproduce the bug ?

#8 - 05 Dec 2012 08:05 - Bruno Spyckerelle

As said in the bug #2127, I can’t install extended_fields anymore.

What I did firts was to update (svn up) redmine with extended_fields already installed, and this bug was still occuring.

I tried to wipe out everything in order to start from the beginning and see if I did not failed something during the install process, and discovered a new

bug  Sorry 

#9 - 19 Jan 2013 23:46 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 100

I believe that I have fixed this issue. Please try the latest code from SVN and confirm. Thanks.

#10 - 24 Jan 2013 13:51 - Andriy Lesyuk

- Due date set to 24 Jan 2013

- Status changed from In Progress to Closed

Ok, assuming the fix works...
http://projects.andriylesyuk.com/issues/2127


#11 - 24 Jan 2013 17:27 - Bruno Spyckerelle

Sorry, notifications were considered as spam, I just saw them.

I’ll try your fix asap !

#12 - 07 Apr 2013 08:28 - Bruno Spyckerelle

Sorry for the delay.

Your plugin works like a charm with redmine 2.2.3 (debian/apache/mysql) !

Thanks !
